
package body FBalls is

  function MaxNorm(B: in FBall) return Radius is
  begin
    return abs(B.C)+B.R;
  end MaxNorm;

  procedure AddProd(B1,B2: in FBall; B3: in out FBall) is
    C: Flt renames B3.C;
    NegC: constant Flt := (-B1.C)*B2.C-C;
  begin
    C := B1.C*B2.C+C;
    B3.R := abs(B1.C)*B2.R+B1.R*(abs(B2.C)+B2.R)+B3.R+(C+NegC);
  exception
    when Constraint_Error => LL_Report("FBalls.AddProd");
  end AddProd;

end FBalls;
