
package body Params.More is

  procedure Assign(R1: in FRParam; R2: in out RParam) is
    GForce: constant Flt := R1.Mass*GAccel;
    BB: Vector3 renames R2.BB;
    II: Matrix3 renames R2.Inertia;
  begin
    Assign(R1.Mass,R2.Mass);
    Assign(GForce,R2.GForce);
    Assign(R1.BB1,BB(1));
    Assign(R1.BB2,BB(2));
    Assign(R1.BB3,BB(3));
    Assign(R1.I11,II(1,1));
    Assign(R1.I12,II(1,2));
    Assign(  Zero,II(1,3));
    Assign(R1.I12,II(2,1));
    Assign(R1.I22,II(2,2));
    Assign(  Zero,II(2,3));
    Assign(  Zero,II(3,1));
    Assign(  Zero,II(3,2));
    Assign(R1.I33,II(3,3));
  end Assign;

  function Scal(R: FRParam) return RParam is
    S: RParam;
  begin
    Assign(R,S);
    return S;
  end Scal;

end Params.More;
