with Ada.Text_IO, Strings, Ints, Flts, Globals, Params, Reps.Balls;
use Ada.Text_IO, Strings, Ints, Flts, Globals, Params, Reps.Balls;
with Rattleback;

pragma Elaborate_All (Ada.Text_IO,Strings,Ints,Flts,Globals,Params,Reps);
pragma Elaborate_All (Rattleback);

procedure Show_Point is

  FileName:  constant String := GetArg;
  FRP:      constant FRParam := Param13;
  ABFlag:    constant Flag   := 0;
  NDigits: constant Positive := 4096;
  Dummy:   constant Positive := Reps.Set_Precision(NDigits);

  subtype Scalar is Ball;
  package RB is new Rattleback(FRP => FRP, ABFlag => ABFlag, Scalar => Scalar);
  use RB;

  P: Point;

begin

  Read(FileName,P);
  Show1("full ",P);
  ShowApprox1("approx ",P);

end Show_Point;
